IBM Informix nsrd Service Privilege Escalation Vulnerability

ID ZDI-16-208
Type zdi
Reporter Steven Seeley of Source Incite
Modified 2016-11-09T00:00:00


This vulnerability allows local users to execute arbitrary code on vulnerable installations of IBM Informix. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within configuration of the nsrd service. Weak access control allows all authenticated users to modify the binary for this service and thus execute code in the context of SYSTEM.